package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CoalConsume;
import com.lightinit.hsdatashow.entity.CoalConsumeExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface CoalConsumeMapper {
    long countByExample(CoalConsumeExample example);

    int deleteByExample(CoalConsumeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CoalConsume record);

    int insertSelective(CoalConsume record);

    List<CoalConsume> selectByExample(CoalConsumeExample example);

    CoalConsume selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CoalConsume record, @Param("example") CoalConsumeExample example);

    int updateByExample(@Param("record") CoalConsume record, @Param("example") CoalConsumeExample example);

    int updateByPrimaryKeySelective(CoalConsume record);

    int updateByPrimaryKey(CoalConsume record);

    List<ChartModel> getCoalconsume();
}